summaryrefslogtreecommitdiff
path: root/eclass
diff options
context:
space:
mode:
authorMike Frysinger <vapier@gentoo.org>2012-05-20 13:01:22 +0000
committerMike Frysinger <vapier@gentoo.org>2012-05-20 13:01:22 +0000
commitaa0245c06d3b60d879163a971efa9cd5636806c6 (patch)
tree1f6ebe8d305e7847281ebebdcbb6e4e43dfb0ac0 /eclass
parentVersion bump. (diff)
downloadhistorical-aa0245c06d3b60d879163a971efa9cd5636806c6.tar.gz
historical-aa0245c06d3b60d879163a971efa9cd5636806c6.tar.bz2
historical-aa0245c06d3b60d879163a971efa9cd5636806c6.zip
change eautomake over to autotools_check_macro now that we cache the results and it should be quick
Diffstat (limited to 'eclass')
-rw-r--r--eclass/autotools.eclass8
1 files changed, 2 insertions, 6 deletions
diff --git a/eclass/autotools.eclass b/eclass/autotools.eclass
index 4257496fea79..ca7083d07c46 100644
--- a/eclass/autotools.eclass
+++ b/eclass/autotools.eclass
@@ -1,6 +1,6 @@
# Copyright 1999-2012 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/eclass/autotools.eclass,v 1.137 2012/05/20 12:58:23 vapier Exp $
+# $Header: /var/cvsroot/gentoo-x86/eclass/autotools.eclass,v 1.138 2012/05/20 13:01:22 vapier Exp $
# @ECLASS: autotools.eclass
# @MAINTAINER:
@@ -283,11 +283,7 @@ eautomake() {
done
if [[ -z ${makefile_name} ]] ; then
- # Really we should just use autotools_check_macro ...
- local am_init_automake=$(sed -n '/AM_INIT_AUTOMAKE/{s:#.*::;s:\<dnl\>.*::;p}' configure.??)
- if [[ ${am_init_automake} != *"AM_INIT_AUTOMAKE"* ]] ; then
- return 0
- fi
+ [[ -n $(autotools_check_macro AM_INIT_AUTOMAKE) ]] || return 0
elif [[ -z ${FROM_EAUTORECONF} && -f ${makefile_name%.am}.in ]]; then
local used_automake